Game Develop C++ Platform: RuntimeContext Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Public Member Functions | Public Attributes | List of all members
RuntimeContext Class Reference

Helper class used by events generated code to get access to various things without including "heavy" classes such as RuntimeScene. More...

`#include <RuntimeContext.h>`

Collaboration diagram for RuntimeContext:
[legend]

## Public Member Functions

| RuntimeContext (RuntimeScene *scene_)
| Construct the context for a scene. More...
std::vector< RuntimeObject * > | GetObjectsRawPointers (const std::string &name)
| Shortcut to get a "raw pointers" list to objects with a specific name. Equivalent to : More...
RuntimeVariablesContainer & | GetSceneVariables ()
| Shortcut for scene->GetVariables();.
RuntimeVariablesContainer & | GetGameVariables ()
| Shortcut for scene.game->GetVariables();.
bool | TriggerOnce (unsigned int conditionId)
| Used by "Trigger once" conditions: Return true only if this method was not called with the same identifier during the last frame.
void | StartNewFrame ()
| To be called when events begin so that "Trigger once" conditions are properly handled.
RuntimeContext & | ClearObjectListsMap ()
RuntimeContext & | AddObjectListToMap (const std::string &objectName, std::vector< RuntimeObject * > &list)
std::map< std::string, std::vector< RuntimeObject * > * > | ReturnObjectListsMap ()

## Public Attributes

RuntimeScene * | scene
| The associated scene.

## Detailed Description

Helper class used by events generated code to get access to various things without including "heavy" classes such as RuntimeScene.

## Constructor & Destructor Documentation

RuntimeContext::RuntimeContext | ( | RuntimeScene * | scene_) |  |

inline

Construct the context for a scene.

Parameters

  scene | The scene associated to the context.

## Member Function Documentation

std::vector< RuntimeObject * > RuntimeContext::GetObjectsRawPointers | ( | const std::string & | name) |  |

Shortcut to get a "raw pointers" list to objects with a specific name. Equivalent to :

scene->objectsInstances.GetObjectsRawPointers(name)

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- RuntimeContext.h
- RuntimeContext.cpp